%global debug_package %{nil}
%global provider github
%global provider_tld com
%global project containerd
%global repo containerd
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}

#debuginfo not supported with Go
%global gopath  %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}

Name:           docker-%{repo}
Version:        1.5.11
Release:        %mkrel 1
Summary:        A daemon to control runC
License:        ASL 2.0
Group:	        System/Configuration

URL:            http://www.docker.com
Source0:        https://%{import_path}/archive/v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  glibc-static-devel

# ensure build uses golang 1.4 or above
BuildRequires:  golang >= 1.4
BuildRequires:  golang-github-cpuguy83-md2man
BuildRequires:  git
BuildRequires:  btrfs-devel
BuildRequires:  pkgconfig(libseccomp)
Requires:		opencontainers-runc >= 1.0.0rc5

%description
containerd is a daemon to control runC, built for performance and density. 

containerd leverages runC's advanced features such as seccomp and user 
namespace support as well as checkpoint and restore for cloning and 
live migration of containers.

%prep
%setup -q -n %{repo}-%{version}
# Remove git usage as we're building off Internet
perl -pi -e 's|VERSION=.*|VERSION=%{version}|' Makefile
perl -pi -e 's|REVISION=.*|REVISION=%{release}|' Makefile

%build
make
make man

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}
%make_install
make DESTDIR=%{buildroot} install-man
mv %{buildroot}/bin/* %{buildroot}%{_bindir}
mv %{buildroot}/man/* %{buildroot}%{_mandir}
cd %{buildroot}%{_bindir}
for i in *; do
	ln -sf $i docker-$i
done

%files
%license LICENSE
%doc NOTICE *.md
%{_bindir}/*
%{_mandir}/*/*.xz


%changelog
* Wed Apr 13 2022 bcornec <bcornec> 1.5.11-1.mga8
+ Revision: 1849194
- Fix mga#30279 with upstream docker-containerd 1.5.11
- Update to upstream docker-containerd 1.5.10 to fix mga#30111
- Update to upstream docker-containerd 1.5.9 to fix mga#30050
- Update to upstream docker-containerd 1.5.8 fixes mga#29669
- Update src
- update to upstream docker-containerd 1.5.7
- Update docker-containerd to 1.4.4 upstream

* Thu Dec 03 2020 bcornec <bcornec> 1.4.3-2.mga8
+ Revision: 1652204
- Update to upstrea 1.4.3 containerd

* Sun Feb 16 2020 umeabot <umeabot> 1.2.8-2.mga8
+ Revision: 1530697
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 bcornec <bcornec> 1.2.8-1.mga8
+ Revision: 1437232
- update docker-containerd to upstream 1.2.8

* Mon May 06 2019 bcornec <bcornec> 1.2.5-2.mga7
+ Revision: 1396408
- Fix socket location for docker-ctr tool

* Sun Mar 17 2019 bcornec <bcornec> 1.2.5-1.mga7
+ Revision: 1378400
- update to upstream containerd 1.2.5

* Tue Oct 16 2018 bcornec <bcornec> 1.2.0-0.beta.2.2.mga7
+ Revision: 1320701
- Update to upstream docker-containerd 1.2 made by Joseph Wang joequant

* Sun Sep 23 2018 umeabot <umeabot> 0.2.8-2.mga7
+ Revision: 1297480
- Mageia 7 Mass Rebuild

* Fri May 12 2017 bcornec <bcornec> 0.2.8-1.mga7
+ Revision: 1100545
- Update to upstream 0.2.8 docker-containerd

* Sat Sep 24 2016 bcornec <bcornec> 0.2.3-1.mga6
+ Revision: 1055670
- Force a dep on the 1.0 branch of runc as the previous one doesn't work anymore
- Update docker-containerd to upstream 0.2.3

* Mon May 23 2016 bcornec <bcornec> 0.2.1-4.mga6
+ Revision: 1018009
- bump rel

* Mon May 23 2016 bcornec <bcornec> 0.2.1-3.mga6
+ Revision: 1018000
- remove restriction on arch

* Sun May 22 2016 bcornec <bcornec> 0.2.1-2.mga6
+ Revision: 1017693
- containerd requires runc

* Sun May 22 2016 bcornec <bcornec> 0.2.1-1.mga6
+ Revision: 1017668
- Create a package for docker-containerd which is now needed by docker >= 1.11
- Created package structure for docker-containerd.

